<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (15) on Thu Sep 23 16:01:26 CEST 2021 -->
<title>POI</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-09-23">
<meta name="description" content="declaration: package: fr.ici.dataImporter.iciObjects, class: POI">
<meta name="generator" content="javadoc/ClassWriterImpl">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../script-dir/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-3.5.1.min.js"></script>
<script type="text/javascript" src="../../../../script-dir/jquery-ui.min.js"></script>
</head>
<body class="class-declaration-page">
<script type="text/javascript">var data = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":9,"i12":9,"i13":10,"i14":9,"i15":10,"i16":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "alt-color";
var rowColor = "row-color";
var tableTab = "table-tab";
var activeTableTab = "active-table-tab";
var pathtoroot = "../../../../";
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<div class="flex-box">
<header role="banner" class="flex-header">
<nav role="navigation">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="top-nav" id="navbar.top">
<div class="skip-nav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.top.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/POI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<div class="nav-list-search"><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</div>
</div>
<!-- ========= END OF TOP NAVBAR ========= -->
<span class="skip-nav" id="skip.navbar.top">
<!--   -->
</span></nav>
</header>
<div class="flex-content">
<main role="main">
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="sub-title"><span class="package-label-in-type">Package</span>&nbsp;<a href="package-summary.html">fr.ici.dataImporter.iciObjects</a></div>
<h1 title="Class POI" class="title">Class POI</h1>
</div>
<div class="inheritance" title="Inheritance Tree">java.lang.Object
<div class="inheritance"><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">fr.ici.dataImporter.iciObjects.ICIObject</a>
<div class="inheritance">fr.ici.dataImporter.iciObjects.POI</div>
</div>
</div>
<section class="description">
<dl class="notes">
<dt>Direct Known Subclasses:</dt>
<dd><code><a href="../paris/ApurPOI.html" title="class in fr.ici.dataImporter.paris">ApurPOI</a></code>, <code><a href="../insee/BpePOI.html" title="class in fr.ici.dataImporter.insee">BpePOI</a></code>, <code><a href="../osm/OsmPOI.html" title="class in fr.ici.dataImporter.osm">OsmPOI</a></code>, <code><a href="../insee/SireneEntry.html" title="class in fr.ici.dataImporter.insee">SireneEntry</a></code>, <code><a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a></code></dd>
</dl>
<hr>
<pre>public class <span class="type-name-label">POI</span>
extends <a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></pre>
<div class="block">General class for point of interest in the ICI project</div>
</section>
<section class="summary">
<ul class="summary-list">
<!-- =========== FIELD SUMMARY =========== -->
<li>
<section class="field-summary" id="field.summary">
<h2>Field Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Fields</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Field</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#address">address</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#attendance">attendance</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#attendanceIndice">attendanceIndice</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#capacity">capacity</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#codeINSEE">codeINSEE</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#codePost">codePost</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>java.lang.String[]</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#idBuilding">idBuilding</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>protected static java.util.List&lt;java.lang.String&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#lSource">lSource</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#nAddress">nAddress</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#name">name</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#nomenclature">nomenclature</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#openingHour">openingHour</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#openLockdownMarch20">openLockdownMarch20</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#openLockdownNov20">openLockdownNov20</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>org.locationtech.jts.geom.Point</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#p">p</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>double</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#potentialArea">potentialArea</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#typeCodeSource">typeCodeSource</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#typeNameIci">typeNameIci</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#typeNameSource">typeNameSource</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#typeRoad">typeRoad</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#valid">valid</a></span></code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
<div class="inherited-list">
<h3 id="fields.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Fields inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#DEBUG">DEBUG</a>, <a href="ICIObject.html#ID">ID</a>, <a href="ICIObject.html#rdGen">rdGen</a>, <a href="ICIObject.html#type">type</a></code></div>
</section>
</li>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<li>
<section class="constructor-summary" id="constructor.summary">
<h2>Constructor Summary</h2>
<div class="member-summary">
<table class="summary-table">
<caption><span>Constructors</span></caption>
<thead>
<tr>
<th class="col-first" scope="col">Constructor</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">POI</a></span>&#8203;(java.lang.String&nbsp;ID,
java.lang.String&nbsp;type,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;typeNameIci,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,double,org.locationtech.jts.geom.Point)">POI</a></span>&#8203;(java.lang.String&nbsp;ID,
java.lang.String&nbsp;address,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;typeNameIci,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;attendance,
java.lang.String&nbsp;openingHour,
int&nbsp;capacity,
double&nbsp;potentialArea,
org.locationtech.jts.geom.Point&nbsp;pt)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color">
<th class="col-constructor-name" scope="row"><code><span class="member-name-link"><a href="#%3Cinit%3E(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">POI</a></span>&#8203;(java.lang.String&nbsp;ID,
java.lang.String&nbsp;type,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;codePost,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;openingHour,
org.locationtech.jts.geom.Point&nbsp;p)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</section>
</li>
<!-- ========== METHOD SUMMARY =========== -->
<li>
<section class="method-summary" id="method.summary">
<h2>Method Summary</h2>
<div class="member-summary" id="method-summary-table">
<div class="table-tabs" role="tablist" aria-orientation="horizontal"><button role="tab" aria-selected="true" aria-controls="method-summary-table.tabpanel" tabindex="0" onkeydown="switchTab(event)" id="t0" class="active-table-tab">All Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t1" class="table-tab" onclick="show(1);">Static Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t2" class="table-tab" onclick="show(2);">Instance Methods</button><button role="tab" aria-selected="false" aria-controls="method-summary-table.tabpanel" tabindex="-1" onkeydown="switchTab(event)" id="t4" class="table-tab" onclick="show(8);">Concrete Methods</button></div>
<div id="method-summary-table.tabpanel" role="tabpanel">
<table class="summary-table" aria-labelledby="t0">
<thead>
<tr>
<th class="col-first" scope="col">Modifier and Type</th>
<th class="col-second" scope="col">Method</th>
<th class="col-last" scope="col">Description</th>
</tr>
</thead>
<tbody>
<tr class="alt-color" id="i0">
<td class="col-first"><code>static org.apache.commons.lang3.tuple.Pair&lt;java.util.List&lt;<a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;,&#8203;java.util.List&lt;<a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#affectRoomLeft(java.util.List,java.util.List,java.io.File,java.util.List)">affectRoomLeft</a></span>&#8203;(java.util.List&lt;<a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;<a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;&nbsp;lWP,
java.io.File&nbsp;irisFile,
java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">
<div class="block">Affect <a href="Building.html#roomLeft"><code>Building.roomLeft</code></a> to any POI present in a building</div>
</td>
</tr>
<tr class="row-color" id="i1">
<td class="col-first"><code>static java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Boolean&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#canBeDoubled()">canBeDoubled</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i2">
<td class="col-first"><code>protected static java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Boolean&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#canBeDoubled(java.io.InputStream)">canBeDoubled</a></span>&#8203;(java.io.InputStream&nbsp;nomenclatureICI)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i3">
<td class="col-first"><code>static java.util.List&lt;<a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#delDouble(java.util.List,java.util.List,java.io.File,java.util.HashMap)">delDouble</a></span>&#8203;(java.util.List&lt;? extends <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;irisFile,
java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Boolean&gt;&nbsp;couldBeDoubled)</code></th>
<td class="col-last">
<div class="block">Check for every POI if they can be considered as a double.</div>
</td>
</tr>
<tr class="alt-color" id="i4">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#exportListPOI(java.util.List,java.io.File)">exportListPOI</a></span>&#8203;(java.util.List&lt;? extends <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.io.File&nbsp;fileOut)</code></th>
<td class="col-last">
<div class="block">Write a list of POI in a geographic collection</div>
</td>
</tr>
<tr class="row-color" id="i5">
<td class="col-first"><code>static int</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateAttendanceCode(java.lang.String)">generateAttendanceCode</a></span>&#8203;(java.lang.String&nbsp;attendance)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i6">
<td class="col-first"><code>org.opengis.feature.simple.SimpleFeature</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#generateSimpleFeature()">generateSimpleFeature</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i7">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getAttendance()">getAttendance</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i8">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getIciAmenity(java.lang.String,java.lang.String)">getIciAmenity</a></span>&#8203;(java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;from)</code></th>
<td class="col-last">
<div class="block">Get the ICI amenity type for any subclass's type.</div>
</td>
</tr>
<tr class="row-color" id="i9">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getIdentification()">getIdentification</a></span>()</code></th>
<td class="col-last">
<div class="block">Get an identification of the POI that is easily comparable.</div>
</td>
</tr>
<tr class="alt-color" id="i10">
<td class="col-first"><code>org.geotools.feature.simple.SimpleFeatureBuilder</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#getSFB()">getSFB</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i11">
<td class="col-first"><code>static java.util.List&lt;<a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importPOI(java.io.File)">importPOI</a></span>&#8203;(java.io.File&nbsp;poiFile)</code></th>
<td class="col-last">
<div class="block">Import POI from an already generated file.</div>
</td>
</tr>
<tr class="alt-color" id="i12">
<td class="col-first"><code>static java.util.List&lt;<a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#importPOIFromUsualSources(java.io.File,java.util.List)">importPOIFromUsualSources</a></span>&#8203;(java.io.File&nbsp;rootFolder,
java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB)</code></th>
<td class="col-last">
<div class="block">Import POI the way root folder is organized</div>
</td>
</tr>
<tr class="row-color" id="i13">
<td class="col-first"><code>boolean</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#isValid()">isValid</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i14">
<td class="col-first"><code>static void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#relocatePOItoClosestBuilding(java.util.List,java.util.List)">relocatePOItoClosestBuilding</a></span>&#8203;(java.util.List&lt;? extends <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="row-color" id="i15">
<td class="col-first"><code>void</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#setPotentialArea(double)">setPotentialArea</a></span>&#8203;(double&nbsp;potentialArea)</code></th>
<td class="col-last">&nbsp;</td>
</tr>
<tr class="alt-color" id="i16">
<td class="col-first"><code>java.lang.String</code></td>
<th class="col-second" scope="row"><code><span class="member-name-link"><a href="#toString()">toString</a></span>()</code></th>
<td class="col-last">&nbsp;</td>
</tr>
</tbody>
</table>
</div>
</div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.fr.ici.dataImporter.iciObjects.ICIObject">Methods inherited from class&nbsp;fr.ici.dataImporter.iciObjects.<a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></h3>
<code><a href="ICIObject.html#equals(java.lang.Object)">equals</a>, <a href="ICIObject.html#getID()">getID</a>, <a href="ICIObject.html#getType()">getType</a>, <a href="ICIObject.html#hashCode()">hashCode</a>, <a href="ICIObject.html#setRdGen(java.util.Random)">setRdGen</a></code></div>
<div class="inherited-list">
<h3 id="methods.inherited.from.class.java.lang.Object">Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, finalize, getClass, notify, notifyAll, wait, wait, wait</code></div>
</section>
</li>
</ul>
</section>
<section class="details">
<ul class="details-list">
<!-- ============ FIELD DETAIL =========== -->
<li>
<section class="field-details" id="field.detail">
<h2>Field Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="lSource">
<h3>lSource</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type">java.util.List&lt;java.lang.String&gt;</span>&nbsp;<span class="member-name">lSource</span></div>
</section>
</li>
<li>
<section class="detail" id="openingHour">
<h3>openingHour</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">openingHour</span></div>
</section>
</li>
<li>
<section class="detail" id="attendance">
<h3>attendance</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">attendance</span></div>
</section>
</li>
<li>
<section class="detail" id="nAddress">
<h3>nAddress</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">nAddress</span></div>
</section>
</li>
<li>
<section class="detail" id="address">
<h3>address</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">address</span></div>
</section>
</li>
<li>
<section class="detail" id="typeRoad">
<h3>typeRoad</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">typeRoad</span></div>
</section>
</li>
<li>
<section class="detail" id="codePost">
<h3>codePost</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">codePost</span></div>
</section>
</li>
<li>
<section class="detail" id="codeINSEE">
<h3>codeINSEE</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">codeINSEE</span></div>
</section>
</li>
<li>
<section class="detail" id="typeCodeSource">
<h3>typeCodeSource</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">typeCodeSource</span></div>
</section>
</li>
<li>
<section class="detail" id="typeNameSource">
<h3>typeNameSource</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">typeNameSource</span></div>
</section>
</li>
<li>
<section class="detail" id="typeNameIci">
<h3>typeNameIci</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">typeNameIci</span></div>
</section>
</li>
<li>
<section class="detail" id="nomenclature">
<h3>nomenclature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">nomenclature</span></div>
</section>
</li>
<li>
<section class="detail" id="name">
<h3>name</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">name</span></div>
</section>
</li>
<li>
<section class="detail" id="openLockdownMarch20">
<h3>openLockdownMarch20</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">openLockdownMarch20</span></div>
</section>
</li>
<li>
<section class="detail" id="openLockdownNov20">
<h3>openLockdownNov20</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">openLockdownNov20</span></div>
</section>
</li>
<li>
<section class="detail" id="attendanceIndice">
<h3>attendanceIndice</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">attendanceIndice</span></div>
</section>
</li>
<li>
<section class="detail" id="capacity">
<h3>capacity</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">capacity</span></div>
</section>
</li>
<li>
<section class="detail" id="idBuilding">
<h3>idBuilding</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String[]</span>&nbsp;<span class="member-name">idBuilding</span></div>
</section>
</li>
<li>
<section class="detail" id="p">
<h3>p</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.locationtech.jts.geom.Point</span>&nbsp;<span class="member-name">p</span></div>
</section>
</li>
<li>
<section class="detail" id="potentialArea">
<h3>potentialArea</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">double</span>&nbsp;<span class="member-name">potentialArea</span></div>
</section>
</li>
<li>
<section class="detail" id="valid">
<h3>valid</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">valid</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<li>
<section class="constructor-details" id="constructor.detail">
<h2>Constructor Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String)">
<h3>POI</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">POI</span>&#8203;(<span class="parameters">java.lang.String&nbsp;ID,
java.lang.String&nbsp;type,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;typeNameIci,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name)</span></div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,org.locationtech.jts.geom.Point)">
<h3>POI</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">POI</span>&#8203;(<span class="parameters">java.lang.String&nbsp;ID,
java.lang.String&nbsp;type,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;address,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;codePost,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;openingHour,
org.locationtech.jts.geom.Point&nbsp;p)</span></div>
</section>
</li>
<li>
<section class="detail" id="&lt;init&gt;(java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,java.lang.String,int,double,org.locationtech.jts.geom.Point)">
<h3>POI</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="member-name">POI</span>&#8203;(<span class="parameters">java.lang.String&nbsp;ID,
java.lang.String&nbsp;address,
java.lang.String&nbsp;nAddress,
java.lang.String&nbsp;typeRoad,
java.lang.String&nbsp;codeINSEE,
java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;typeNameSource,
java.lang.String&nbsp;typeNameIci,
java.lang.String&nbsp;nomenclature,
java.lang.String&nbsp;name,
java.lang.String&nbsp;attendance,
java.lang.String&nbsp;openingHour,
int&nbsp;capacity,
double&nbsp;potentialArea,
org.locationtech.jts.geom.Point&nbsp;pt)</span></div>
</section>
</li>
</ul>
</section>
</li>
<!-- ============ METHOD DETAIL ========== -->
<li>
<section class="method-details" id="method.detail">
<h2>Method Details</h2>
<ul class="member-list">
<li>
<section class="detail" id="importPOI(java.io.File)">
<h3>importPOI</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;</span>&nbsp;<span class="member-name">importPOI</span>&#8203;(<span class="parameters">java.io.File&nbsp;poiFile)</span>
                                     throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import POI from an already generated file.</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>poiFile</code> - the geo file exported with the <a href="#exportListPOI(java.util.List,java.io.File)"><code>exportListPOI(List, File)</code></a>} method.</dd>
<dt>Returns:</dt>
<dd>a fist of <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a> objects</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - reading poiFile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="importPOIFromUsualSources(java.io.File,java.util.List)">
<h3>importPOIFromUsualSources</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;</span>&nbsp;<span class="member-name">importPOIFromUsualSources</span>&#8203;(<span class="parameters">java.io.File&nbsp;rootFolder,
java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lB)</span>
                                                     throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Import POI the way root folder is organized</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>rootFolder</code> - where rootFolder is located</dd>
<dt>Returns:</dt>
<dd>a list of newly generated POIs</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - Reading geofiles</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="delDouble(java.util.List,java.util.List,java.io.File,java.util.HashMap)">
<h3>delDouble</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.List&lt;<a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;</span>&nbsp;<span class="member-name">delDouble</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;<a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects">BuildingSimple</a>&gt;&nbsp;lBuilding,
java.io.File&nbsp;irisFile,
java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Boolean&gt;&nbsp;couldBeDoubled)</span>
                                     throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Check for every POI if they can be considered as a double. TODO add relations</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lPOI</code> - <code>List</code> of <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects"><code>POI</code></a>s</dd>
<dd><code>lBuilding</code> - <code>List</code> of <a href="BuildingSimple.html" title="class in fr.ici.dataImporter.iciObjects"><code>BuildingSimple</code></a>s</dd>
<dt>Returns:</dt>
<dd>the list of POI with no double</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="canBeDoubled()">
<h3>canBeDoubled</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Boolean&gt;</span>&nbsp;<span class="member-name">canBeDoubled</span>()
                                                                          throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="canBeDoubled(java.io.InputStream)">
<h3>canBeDoubled</h3>
<div class="member-signature"><span class="modifiers">protected static</span>&nbsp;<span class="return-type">java.util.HashMap&lt;java.lang.String,&#8203;java.lang.Boolean&gt;</span>&nbsp;<span class="member-name">canBeDoubled</span>&#8203;(<span class="parameters">java.io.InputStream&nbsp;nomenclatureICI)</span>
                                                                             throws <span class="exceptions">java.io.IOException</span></div>
<dl class="notes">
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="exportListPOI(java.util.List,java.io.File)">
<h3>exportListPOI</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">exportListPOI</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.io.File&nbsp;fileOut)</span>
                          throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Write a list of POI in a geographic collection</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lPOI</code> - list of POI</dd>
<dd><code>fileOut</code> - File to be wrote</dd>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code> - Write GeoFile</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="affectRoomLeft(java.util.List,java.util.List,java.io.File,java.util.List)">
<h3>affectRoomLeft</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">org.apache.commons.lang3.tuple.Pair&lt;java.util.List&lt;<a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;,&#8203;java.util.List&lt;<a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;&gt;</span>&nbsp;<span class="member-name">affectRoomLeft</span>&#8203;(<span class="parameters">java.util.List&lt;<a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;<a href="WorkingPlace.html" title="class in fr.ici.dataImporter.iciObjects">WorkingPlace</a>&gt;&nbsp;lWP,
java.io.File&nbsp;irisFile,
java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</span>
                                                                                                            throws <span class="exceptions">java.io.IOException</span></div>
<div class="block">Affect <a href="Building.html#roomLeft"><code>Building.roomLeft</code></a> to any POI present in a building</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>lPOI</code> - Total list of POI to affect surface</dd>
<dd><code>lWP</code> - Total list of Working Places to affect surface</dd>
<dd><code>irisFile</code> - Iris geo file</dd>
<dd><code>lBuilding</code> - list of building</dd>
<dt>Returns:</dt>
<dt>Throws:</dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateAttendanceCode(java.lang.String)">
<h3>generateAttendanceCode</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">int</span>&nbsp;<span class="member-name">generateAttendanceCode</span>&#8203;(<span class="parameters">java.lang.String&nbsp;attendance)</span></div>
</section>
</li>
<li>
<section class="detail" id="relocatePOItoClosestBuilding(java.util.List,java.util.List)">
<h3>relocatePOItoClosestBuilding</h3>
<div class="member-signature"><span class="modifiers">public static</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">relocatePOItoClosestBuilding</span>&#8203;(<span class="parameters">java.util.List&lt;? extends <a href="POI.html" title="class in fr.ici.dataImporter.iciObjects">POI</a>&gt;&nbsp;lPOI,
java.util.List&lt;? extends <a href="Building.html" title="class in fr.ici.dataImporter.iciObjects">Building</a>&gt;&nbsp;lBuilding)</span></div>
</section>
</li>
<li>
<section class="detail" id="getIciAmenity(java.lang.String,java.lang.String)">
<h3>getIciAmenity</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getIciAmenity</span>&#8203;(<span class="parameters">java.lang.String&nbsp;typeCodeSource,
java.lang.String&nbsp;from)</span></div>
<div class="block">Get the ICI amenity type for any subclass's type. Generate a common nomenclature if not present</div>
<dl class="notes">
<dt>Parameters:</dt>
<dd><code>typeCodeSource</code> - source amenity code</dd>
<dd><code>from</code> - the name of the class TODO change in class would be more clean</dd>
<dt>Returns:</dt>
<dd>the <i>Ici Amenity</i> nomenclature</dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="getAttendance()">
<h3>getAttendance</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getAttendance</span>()</div>
</section>
</li>
<li>
<section class="detail" id="getIdentification()">
<h3>getIdentification</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">getIdentification</span>()</div>
<div class="block">Get an identification of the POI that is easily comparable.</div>
<dl class="notes">
<dt>Returns:</dt>
</dl>
</section>
</li>
<li>
<section class="detail" id="toString()">
<h3>toString</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">java.lang.String</span>&nbsp;<span class="member-name">toString</span>()</div>
<dl class="notes">
<dt>Overrides:</dt>
<dd><code><a href="ICIObject.html#toString()">toString</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="generateSimpleFeature()">
<h3>generateSimpleFeature</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.opengis.feature.simple.SimpleFeature</span>&nbsp;<span class="member-name">generateSimpleFeature</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#generateSimpleFeature()">generateSimpleFeature</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="setPotentialArea(double)">
<h3>setPotentialArea</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">void</span>&nbsp;<span class="member-name">setPotentialArea</span>&#8203;(<span class="parameters">double&nbsp;potentialArea)</span></div>
</section>
</li>
<li>
<section class="detail" id="getSFB()">
<h3>getSFB</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">org.geotools.feature.simple.SimpleFeatureBuilder</span>&nbsp;<span class="member-name">getSFB</span>()</div>
<dl class="notes">
<dt>Specified by:</dt>
<dd><code><a href="ICIObject.html#getSFB()">getSFB</a></code>&nbsp;in class&nbsp;<code><a href="ICIObject.html" title="class in fr.ici.dataImporter.iciObjects">ICIObject</a></code></dd>
</dl>
</section>
</li>
<li>
<section class="detail" id="isValid()">
<h3>isValid</h3>
<div class="member-signature"><span class="modifiers">public</span>&nbsp;<span class="return-type">boolean</span>&nbsp;<span class="member-name">isValid</span>()</div>
</section>
</li>
</ul>
</section>
</li>
</ul>
</section>
<!-- ========= END OF CLASS DATA ========= -->
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottom-nav" id="navbar.bottom">
<div class="skip-nav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<ul id="navbar.bottom.firstrow" class="nav-list" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="nav-bar-cell1-rev">Class</li>
<li><a href="class-use/POI.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="sub-nav">
<div>
<ul class="sub-nav-list">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="sub-nav-list">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
</div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<span class="skip-nav" id="skip.navbar.bottom">
<!--   -->
</span></nav>
</footer>
</div>
</div>
</body>
</html>
